Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 189527 - libaio.h is not friendly to C++ compilers
Summary: libaio.h is not friendly to C++ compilers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: libaio
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Moyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-04-20 18:46 UTC by Jeff Moyer
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2006-0467
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 15:07:54 UTC
Target Upstream Version:


Attachments (Terms of Use)
Fix libaio.h so it will compile with c++ compilers (deleted)
2006-04-27 15:38 UTC, Jeff Moyer
no flags Details | Diff
simple aio program to test that g++ compiles work (deleted)
2006-05-19 14:40 UTC, Jeff Moyer
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0467 normal SHIPPED_LIVE libaio bug fix update 2006-07-19 19:17:00 UTC

Description Jeff Moyer 2006-04-20 18:46:07 UTC
Compiler error is as follows:

/usr/include/libaio.h: In function `void io_set_callback(iocb*, void
(*)(io_context*, iocb*, long int, long int))':
/usr/include/libaio.h:142: invalid conversion from `void (*)(io_context*,
iocb*, long int, long int)' to `void*'

Version-Release number of selected component (if applicable):
0.3.96-6

Comment 2 Jeff Moyer 2006-04-27 15:38:42 UTC
Created attachment 128310 [details]
Fix libaio.h so it will compile with c++ compilers

I tested the attached patch by installing the modified rpm, and performing a
build of a simple program which utilizes aio.  I then downgraded the library
version to taht shipped with RHEL 3 GA (0.3.96-3), and ran the program.  I
verified that the program worked as expected.

I believe Sybase is interested in this particular case, since they will be
building their applications against this version of the library, but deploying
on potentially older versions of RHEL.

Comment 6 Jeff Moyer 2006-05-19 14:40:52 UTC
Created attachment 129602 [details]
simple aio program to test that g++ compiles work

safe file aio-pipe.c
g++ aio-pipe.c -laio -o aio-pipe

Comment 9 Red Hat Bugzilla 2006-07-20 15:07:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0467.html



Note You need to log in before you can comment on or make changes to this bug.